<template>
  <section :id="settings.id || null" :class="settings.class" :style="settings.style">
    <page-content :layout="layout.children"></page-content>
  </section>
</template>

<script>
export default {
  props: {
    layout: {
      type: Object,
      required: true,
    },
  },

  computed: {
    settings() {
      return this.layout.settings
    },
  },
}
</script>
